#include<bits/stdc++.h>
#define ll long long
#define MAXN 1707
using namespace std;
int a[MAXN][MAXN];
int b[32]={};
int main()
{
    ios_base::sync_with_stdio();
    cin.tie(0);cout.tie(0);
    int n,m;
    cin>>n>>m;
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
        {
            cin>>a[i][j];
        }
    }
    if(n==1)
    {
        for(int i=0;i<m;i++)
        {
            bitset<32>x(a[0][i]);
            for(int j=0;j<32;j++)
            {
                if(x[j]==1)b[j]++;
            }
        }
        ll sol=0;
        for(int i=0;i<32;i++)
        {
            sol+=min(b[i],m-b[i])*(1<<i);
        }
        cout<<sol<<endl;
    }
}